@media (min-width: 321px) and (max-width: 525px){

    section.card-login{
        width: 350px!important;
        height: 15rem;
        position: relative;
        background-color: white;
        border-radius: 15px;
        padding: 7px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border-color: rgb(127, 173, 243);
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25)
    }

    section#sec-img{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 0px 5px;
    }

    section#sec-img h2{
        padding-top: 10px;
        font-size: 16px!important;
    }

    img.login-img{
        width: 25px;
        border-radius: 50%;
    }

    section#sec-dados .bem-vindo{
        font-size: 10px;
    }

    input#user, input#user-pass, input#code-pass{
        width: 14rem!important;
        height: 2rem;
        border-radius: 8px;
        border-color: rgb(127, 173, 243);
        outline: none;
        text-align: center;
    }

    a#btn-logar{
        width: 14rem!important;
        height: 2rem;
        border-color: blue;
        color: white;
        background-color: blue;
        border-radius: 10px;
        cursor: pointer;
        font-size: 12px;
    }

    ::placeholder{
        font-size: 10px;
    }

    section.card-flashed{
        width: 14rem!important;
        display: flex;
        justify-content: space-between!important;
    }

    b#msg-flashed{
        color: rgb(97, 16, 16);
        margin-left: auto;
        margin-right: auto;
        font-weight: 100!important;
        font-size: 12px!important;
    }
    
    a.btn-close-flashed{
        position: absolute;
        right: 70px!important;
        color: black;
        background-color: transparent;
        text-decoration: none;
        border: none;
    }
    
    a.btn-close-flashed:hover{
        color: rgb(97, 16, 16);
    }

    button#btn-confirm{
        width: 14rem!important;
        height: 2rem;
        border-color: blue;
        color: white;
        background-color: blue;
        border-radius: 10px;
        cursor: pointer;
        font-size: 12px;
    }
    
    button#btn-confirm:hover{
        border-color: blue;
        color: blue;
        background-color: white;
    }

    .hidden{
        display: none!important;
    }

}

@media (max-width: 320px){

    section.card-login{
        width: 18rem!important;
        height: 24rem!important;
        position: relative;
        background-color: white;
        border-radius: 30px;
        padding: 10px!important;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border-color: rgb(127, 173, 243);
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25)
    }

    section#sec-img{
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0px 5px;
    }

    img.login-img{
        width: 35px;
        border-radius: 50%!important;
        margin-bottom: 5px;
    }

    section#sec-img{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 0px 5px;
    }

    section#sec-img h2{
        font-size: 14px!important;
        font-weight: bolder;
    }

    section#sec-dados .bem-vindo{
        font-size: 12px!important;
    }

    input#user, input#user-pass, input#code-pass{
        width: 11rem!important;
        height: 2rem;
        border-radius: 10px;
        border-color: rgb(127, 173, 243);
        outline: none;
        text-align: center;
    }

    a#btn-logar{
        width: 11rem!important;
        height: 2rem;
        border-color: blue;
        color: white;
        background-color: blue;
        border-radius: 10px;
        cursor: pointer;
        font-size: 12px!important;
    }

    ::placeholder{
        font-size: 12px!important;
    }

    section.card-flashed{
        width: 13rem!important;
        display: flex;
        justify-content: space-between!important;
    }

    b#msg-flashed{
        color: rgb(97, 16, 16);
        margin-left: auto;
        margin-right: auto;
        font-weight: 100!important;
        font-size: 12px!important;
    }
    
    a.btn-close-flashed{
        position: absolute;
        right: 45px!important;
        color: black;
        background-color: transparent;
        text-decoration: none;
        border: none;
    }
    
    a.btn-close-flashed:hover{
        color: rgb(97, 16, 16);
    }

    button#btn-confirm{
        width: 14rem;
        height: 2rem;
        border-color: blue;
        color: white;
        background-color: blue;
        border-radius: 10px;
        cursor: pointer;
        font-size: 12px;
    }
    
    button#btn-confirm:hover{
        border-color: blue;
        color: blue;
        background-color: white;
    }

    .hidden{
        display: none!important;
    }

}


main{
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgb(235, 228, 228);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: auto;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

section#sec-img{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0px 10px;
}

section#sec-dados{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 10px 0px;
}

section.card-login{
    width: 35rem;
    height: 30rem;
    position: relative;
    background-color: white;
    border-radius: 30px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-color: rgb(127, 173, 243);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25)
}

.card-login .container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

img.login-img{
    width: 40px;
    border-radius: 50px;
}

input#user, input#user-pass, input#code-pass{
    width: 20rem;
    height: 2rem;
    border-radius: 10px;
    border-color: rgb(127, 173, 243);
    outline: none;
    text-align: center;
}

a#btn-logar{
    width: 20rem;
    height: 2rem;
    border-color: blue;
    color: white;
    background-color: blue;
    border-radius: 10px;
    cursor: pointer;
    font-size: 12px;
}

a#btn-logar:hover{
    border-color: blue;
    color: blue;
    background-color: white;
}

button#btn-confirm{
    width: 20rem;
    height: 2rem;
    border-color: blue;
    color: white;
    background-color: blue;
    border-radius: 10px;
    cursor: pointer;
    font-size: 12px;
}

button#btn-confirm:hover{
    border-color: blue;
    color: blue;
    background-color: white;
}

i.bi.bi-person, i.bi.bi-lock, i.bi.bi-envelope-fill{
    color: blue;
    position: absolute;
    margin-left: 6px;
    margin-top: 4px;
    background-color: transparent;
}

section.card-flashed{
    width: 20rem;
    height: 2rem;
    background-color: rgb(233, 109, 109);
    border-color: red;
    border-radius: 10px;
    display: flex;
    align-items: center!important;
    justify-content: center;
    flex-direction: row;
    gap: 0 30px;
}

section#sec-dados .bem-vindo{
    font-size: 16px;
}

section#sec-img h2{
    font-size: 24px;
    font-weight: bolder;
}

b#msg-flashed{
    color: rgb(97, 16, 16);
    text-align: center;
    font-weight: 100!important;
}

a.btn-close-flashed{
    position: absolute;
    right: 130px;
    color: black;
    background-color: transparent;
    text-decoration: none;
    border: none;
}

a.btn-close-flashed:hover{
    color: rgb(97, 16, 16);
}

::placeholder{
    font-size: 12px;
}

.hidden{
    display: none!important;
}



